> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an integration mappings

> Create an integration mappings

### Request body

`CreateIntegrationMappingRequest`

<ParamField body="external_value" type="string" required />

<ParamField body="field_name" type="string" required />

<ParamField body="integration" type="string" required />

<ParamField body="internal_value" type="string" required />

<ParamField body="mapping_group" type="string" required />

### Responses

<ResponseField name="201" type="IntegrationMappingResponse" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/integration-mappings' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "external_value": "string",
    "field_name": "string",
    "integration": "string",
    "internal_value": "string",
    "mapping_group": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "external_value": "string",
    "field_name": "string",
    "id": "string",
    "integration": "string",
    "internal_value": "string",
    "is_active": true,
    "mapping_group": "string"
  }
  ```
</ResponseExample>
